use drm::control::Device;

mod card;

fn main() {
  let gpu = match card::Card::open("/dev/dri/card1") {
    Ok(gpu) => gpu,
    Err(err) => {
      panic!("Impossible to open DRM file : {:?}", err);
    }
  };

  println!("{:?}", gpu);

  let resource_handles = gpu.resource_handles().unwrap();

  println!("Connectors:");
  for handle in resource_handles.connectors() {
    match gpu.get_connector(*handle, false) {
      Ok(connector) => println!("\t{} ({:?})", connector.interface().as_str(), connector.state()),
      Err(_) => {}
    }
  }
}